using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine())-1;
            string BrojS = Console.ReadLine();
            char[] Broj = new char[n+1];
            char Different = BrojS[0];
            bool diFFerent = true;
            for (int i = 0; i <= n; i++)
            {
                Broj[i] = BrojS[2 * i];
                if (diFFerent && Different != Broj[i])
                {
                    Different = Broj[i];
                    diFFerent = false;
                }
            }
            if (!diFFerent)
            {
                int indMax;

                bool isTrue = true;

                for (int i = 0; i < n; i++)
                {
                    indMax = n;
                    if(Broj[i]<57)
                        for (int j = n - 1; j > i; j--)
                        {
                            if (Broj[j] > Broj[indMax])
                            {
                                indMax = j;
                                if (Broj[indMax] == '9')
                                    break;
                                
                            }
                        }

                        if (Broj[i] < Broj[indMax])
                        {
                            char Sos = Broj[indMax];
                            Broj[indMax] = Broj[i];
                            Broj[i] = Sos;
                            isTrue = false;
                            break;
                        }
                    
                }

                if (isTrue)
                {
                    char Sos = Broj[n];
                    Broj[n] = Broj[n - 1];
                    Broj[n - 1] = Sos;
                }
            }
            foreach(object x in Broj)
            {
                Console.Write(x+ " ");
            }
        }
    }
}